﻿Imports System
Imports System.Collections.Generic
Imports System.Web.UI
Imports System.Drawing
Imports System.Web.UI.WebControls
Imports Telerik.Web.UI
Imports System.Data.Common

Partial Class RadSchedulerAdvancedForm
    Inherits System.Web.UI.Page

    Protected Sub Page_Init(sender As Object, e As EventArgs)
        Dim connString = ConfigurationManager.ConnectionStrings("TelerikVSXConnectionString").ConnectionString
        Dim factory = DbProviderFactories.GetFactory("System.Data.SqlClient")
        RadScheduler1.Provider = New SchedulerDBProvider() With {.ConnectionString = connString, .DbFactory = factory, .PersistChanges = True}
    End Sub

    Protected Sub Page_Load(sender As Object, e As EventArgs)

    End Sub

    Protected Sub RadScheduler1_AppointmentDataBound(sender As Object, e As SchedulerEventArgs)
        Dim colorAttribute As String = e.Appointment.Attributes("AppointmentColor")
        If Not String.IsNullOrEmpty(colorAttribute) Then
            Dim colorValue As Integer
            If Integer.TryParse(colorAttribute, colorValue) Then
                Dim appointmentColor As Color = Color.FromArgb(colorValue)
                e.Appointment.BackColor = appointmentColor
                e.Appointment.BorderColor = Color.Black
                e.Appointment.BorderStyle = BorderStyle.Solid
                e.Appointment.BorderWidth = Unit.Pixel(1)
            End If
        End If
        e.Appointment.ToolTip = e.Appointment.Subject + ": " + e.Appointment.Description
    End Sub

End Class
