﻿Imports System
Imports System.Collections.Generic
Imports System.Web
Imports Telerik.Web.UI

''' <summary>
''' Summary description for AppointmentList
''' </summary>
''' 
Public Class AppointmentList
    Const AppointmentsKey As String = "Scheduler.GettingStarted_Apts"
    Public Shared Function AllData() As List(Of AppointmentInfo)
        Dim sessApts As List(Of AppointmentInfo) = TryCast(HttpContext.Current.Session(AppointmentsKey), List(Of AppointmentInfo))
        If sessApts Is Nothing Then
            sessApts = New List(Of AppointmentInfo)()
            HttpContext.Current.Session(AppointmentsKey) = sessApts
        End If
        Return sessApts
    End Function
    Public Shared Sub InsertAppointment(Subject As String, AppointmentColor As String, Start As DateTime, [End] As DateTime, Reminder As String, UserID As Integer, _
     RecurrenceRule As String, RecurrenceParentID As String, TimeZoneID As String)
        Dim sessApts As List(Of AppointmentInfo) = AllData()
        Dim ai As New AppointmentInfo(Subject, Start, [End])
        ai.AppointmentColor = AppointmentColor
        ai.RecurrenceRule = RecurrenceRule
        ai.RecurrenceParentID = RecurrenceParentID
        ai.UserID = UserID
        ai.TimeZoneID = TimeZoneID
        ai.Reminder = Reminder
        sessApts.Add(ai)
    End Sub
    Public Shared Sub DeleteAppointment(ID As String)
        Dim sessApts As List(Of AppointmentInfo) = AllData()
        sessApts.Remove(FindById(ID, sessApts))
    End Sub
    Public Shared Sub UpdateAppointment(ID As String, Subject As String, AppointmentColor As String, Start As DateTime, [End] As DateTime, RecurrenceRule As String, _
     RecurrenceParentID As String, Reminder As String, TimeZoneID As String, UserID As Integer)
        Dim sessApts As List(Of AppointmentInfo) = AllData()
        Dim ai As AppointmentInfo = FindById(ID, sessApts)
        ai.Subject = Subject
        ai.AppointmentColor = AppointmentColor
        ai.Start = Start
        ai.[End] = [End]
        ai.RecurrenceRule = RecurrenceRule
        ai.RecurrenceParentID = RecurrenceParentID
        ai.Reminder = Reminder
        ai.TimeZoneID = TimeZoneID
        ai.UserID = UserID
    End Sub
    Public Shared Function FindById(ID As String, sessApts As List(Of AppointmentInfo)) As AppointmentInfo
        For Each ai As AppointmentInfo In sessApts
            If ai.ID = ID Then
                Return ai
            End If
        Next
        Return Nothing
    End Function
End Class
